Subject: Re: [PATCH] perf: Also export the weak version of perf_arch_fetch_caller_regs

From: Frederic Weisbecker <[email-masked]>
Date: Sun, 14 Mar 2010 10:23:44 +0100

On Fri, Mar 12, 2010 at 05:20:43PM +1100, Stephen Rothwell wrote:
> Hi Frederic,
> 
> On Fri, 12 Mar 2010 06:50:44 +0100 Frederic Weisbecker <[email-masked]> wrote:
> >
> > Does that fixes the issue? Sorry I can not test for now...
> 
> I can't test it right now, sorry, but I have heard that EXPORT_SYMBOL's
> for weak symbols must be in a different file from the actual symbol
> definition.

Hmm. Ok, kernel/trace/trace_event_perf.c must be the right place then,
as the only users of this helper are trace events.

Will send a fix once I get this tested, thanks for the pointer!